<?php

$form = $this->beginWidget('ext.PlGrid.PlActiveForm', array(
    'id' => 'audio-files-form',
    'gridId' => 'audio-file-grid',
    'displayProgressBar' => true,
    'action' => $model->isNewRecord ? array('create') : array()
        ));


$this->renderPartial('generalData', array('form' => $form, 'model' => $model));

echo $form->errorSummary($model);
$this->endWidget();

if (Yii::app()->user->translateMode) {

    $translationTarget = 'data-translation-target';
    $translationID = 'data-translation-id';
    $dataTranslation = 'AUDIOFILES_MODEL_DATA_TRANSLATION';
    $audioFilesData = 'AUDIOFILES_MODEL_DATA';
    $audioFormatErrMsg = 'AUDIOFILES_ERROR_MESSAGE_NO_VALID_AUDIO_FORMAT';
    $generalDataTab = 'PHONESETTINGS_AUDIOFILES_CONTROLLER_TAB_MENU_GENERAL_DATA';
    $useCaseTab = 'PHONESETTINGS_AUDIOFILES_CONTROLLER_TAB_MENU_USECASE';
    $useCase = 'AUDIOFILE_MODEL_USECASE_';
    $exceptedFile = 'FILE_VALIDATOR_EXCEPTED_FILE_INFO';
    $receivedFile = 'FILE_VALIDATOR_RECEIVED_FILE_INFO';
    $startRecordLabel = 'AUDIOFILES_MODEL_START_RECORD_LABEL';

    echo "<i $translationTarget='$dataTranslation' $translationID='$audioFilesData'></i>";
    echo "<i $translationTarget='$dataTranslation' $translationID='$audioFormatErrMsg'></i>";
    echo "<i $translationTarget='$dataTranslation' $translationID='$startRecordLabel'></i>";
}
